%define module  Sub-Uplevel
%define	name	perl-%{module}
%define version 0.18
%define release %mkrel 1

Summary: 	%{module} module for perl
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Sub/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description 
Apparently run a function in a higher stack frame.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod

%check
%{__make} test

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Sub
%{_mandir}/*/*




%changelog
* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.1
+ Revision: 104470
- update to new version 0.18

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.0
+ Revision: 63962
- update to new version 0.16


* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2007.0
+ Revision: 84383
- new version

* Tue Nov 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2007.1
+ Revision: 83990
- Import perl-Sub-Uplevel

* Sat Jun 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2007.0
- New version 0.13

* Sun May 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdk
- New release 0.12

* Tue Apr 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdk
- New release 0.10
- better sources URL

* Tue Apr 04 2006 Buchan Milne <bgmilne@mandriva.org> 0.09-4mdk
- Rebuild
- use mkrel

* Sun Jun 12 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-3mdk 
- better url
- spec cleanup
- don't ship useless empty dirs
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.09-2mdk
- fix buildrequires in a backward compatible way

* Fri Jul 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.09-1mdk
- 0.95

* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.08-1mdk
- new version
- rpmbuildupdate aware
- no more explicit dependencies, let spec-helper do its job
- make test

